### Function

# FwupdPlugin memwrite_uint24

since: 1.8.2

#### Declaration [src]

    void
    fu_memwrite_uint24 (
      guint8* buf,
      guint32 val_native,
      FuEndianType endian
    )

#### Description [src]

Writes a value to a buffer using a specified endian.

Available since: 1.8.2

#### Parameters

`buf`

  Type: `guint8*`

  A writable buffer.

  The data is owned by the caller of the function.

`val_native`

  Type: `guint32`

  A value in host byte-order.

`endian`

  Type: `FuEndianType`

  An endian type, e.g. `G_LITTLE_ENDIAN`.